<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddCumaServerSecurityProfileReq StructType
 * @subpackage Structs
 */
class AddCumaServerSecurityProfileReq extends APIRequest
{
    /**
     * The cumaServerSecurityProfile
     * @var XCumaServerSecurityProfile
     */
    public $cumaServerSecurityProfile;
    /**
     * Constructor method for AddCumaServerSecurityProfileReq
     * @uses AddCumaServerSecurityProfileReq::setCumaServerSecurityProfile()
     * @param XCumaServerSecurityProfile $cumaServerSecurityProfile
     */
    public function __construct(XCumaServerSecurityProfile $cumaServerSecurityProfile = null)
    {
        $this
            ->setCumaServerSecurityProfile($cumaServerSecurityProfile);
    }
    /**
     * Get cumaServerSecurityProfile value
     * @return XCumaServerSecurityProfile|null
     */
    public function getCumaServerSecurityProfile()
    {
        return $this->cumaServerSecurityProfile;
    }
    /**
     * Set cumaServerSecurityProfile value
     * @param XCumaServerSecurityProfile $cumaServerSecurityProfile
     * @return AddCumaServerSecurityProfileReq
     */
    public function setCumaServerSecurityProfile(XCumaServerSecurityProfile $cumaServerSecurityProfile = null)
    {
        $this->cumaServerSecurityProfile = $cumaServerSecurityProfile;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddCumaServerSecurityProfileReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
